Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005475TestLinkReq. Management System Integrationpublic2013-01-16 12:132013-01-23 14:29
Reporterteunehv 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.3 (2011 Q3 - bug fixing) 
Fixed in Version1.9.5 (2012 Q4 - bug fixing) 
Summary0005475: Undefined index: type - in exttable.class.php (line 245)
DescriptionWe have more than 2500 requirements present in the requirements module.

Opening the link Requirement Overview (via Requirement Specification) ends in a blank screen. The event log shows the following error:
Log level WARNING
Timestamp 16/01/2013 13:05:23
Source GUI
E_NOTICE Undefined index: type - in /usr/www/html/testlink/lib/functions/exttable.class.php - Line 245

The same error occurs when I want to check the Requirements based Report (via Test Reports).

When using approx 750 requirements this error didn't occur.
Steps To Reproduce1. enter > 750 requirements
2. open Requirement Overview or Requirements based Report
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserBrowser independent
PHP Version
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships

-  Notes
(0018175)
fman (administrator)
2013-01-16 16:34

update to 1.9.5 and retest
(0018209)
teunehv (reporter)
2013-01-23 14:09

Seems to be solved in 1.95.

Any idea how this could be fixed in 1.9.3, this an upgrade now is not an option.
(0018210)
fman (administrator)
2013-01-23 14:29

compare files between versions

- Issue History
Date Modified Username Field Change
2013-01-16 12:13 teunehv New Issue
2013-01-16 16:34 fman Note Added: 0018175
2013-01-16 16:37 fman Status new => feedback
2013-01-23 14:09 teunehv Note Added: 0018209
2013-01-23 14:09 teunehv Status feedback => new
2013-01-23 14:29 fman Note Added: 0018210
2013-01-23 14:29 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2013-01-23 14:29 fman Status new => closed
2013-01-23 14:29 fman Assigned To => fman
2013-01-23 14:29 fman Resolution open => fixed
2013-01-23 14:29 fman Fixed in Version => 1.9.5 (2012 Q4 - bug fixing)



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker